org.gradle.nativeplatform.platform

## Interface OperatingSystem

- All Superinterfaces:
    Named

      @Incubating
      public interface OperatingSystem
      extends Named

  A machine operating system.

  Operating System | Aliases
  --- | ---
  Windows | "windows"
  GNU/Linux | "linux"
  Mac OS X | "osx", "mac os x", "darwin"
  Solaris | "solaris", "sunos"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Returns a human-consumable display name for this operating system.
    `boolean` | `isCurrent()` Is this the current OS?
    `boolean` | `isFreeBSD()` Is it FreeBSD?
    `boolean` | `isLinux()` Is it Linux?
    `boolean` | `isMacOsX()` Is it Mac OS X?
    `boolean` | `isSolaris()` Is it Solaris?
    `boolean` | `isWindows()` Is it Windows?

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns a human-consumable display name for this operating system.

    - #### isCurrent

          boolean isCurrent()

      Is this the current OS?

    - #### isWindows

          boolean isWindows()

      Is it Windows?

    - #### isMacOsX

          boolean isMacOsX()

      Is it Mac OS X?

    - #### isLinux

          boolean isLinux()

      Is it Linux?

    - #### isSolaris

          boolean isSolaris()

      Is it Solaris?

    - #### isFreeBSD

          boolean isFreeBSD()

      Is it FreeBSD?